Create
/fscmRestApi/resources/11.13.18.05/assetWarrantyCoverages/{CoverageId}/child/coverageMeters
Request
-
CoverageId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
- application/json
object-
DisabledFlag: boolean
Title:
Disabled IndicatorMaximum Length:80 -
MeterCode: string
Title:
Meter CodeMaximum Length:255 -
MeterDefinitionId: integer
(int64)
Title:
Meter Definition ID -
MeterIntervalValue: number
Title:
Meter Interval Value -
MeterStartValue: number
Title:
Meter Start Value
Response
- application/json
Default Response
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
object-
ActiveEndDate: string
(date)
Title:
Active End DateRead Only:true -
CoverageId: integer
(int64)
Title:
Coverage IDRead Only:true -
CoverageMeterId: integer
(int64)
Title:
Coverage Meter IDRead Only:true -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64 -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:true -
DisabledFlag: boolean
Title:
Disabled IndicatorMaximum Length:80 -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:true -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MeterCode: string
Title:
Meter CodeMaximum Length:255 -
MeterDefinitionId: integer
(int64)
Title:
Meter Definition ID -
MeterDescription: string
Title:
Meter DescriptionRead Only:trueMaximum Length:240 -
MeterIntervalValue: number
Title:
Meter Interval Value -
MeterName: string
Title:
Meter NameRead Only:trueMaximum Length:120 -
MeterStartValue: number
Title:
Meter Start Value -
UnitOfMeasure: string
Title:
Unit of MeasureRead Only:trueMaximum Length:255 -
UOMCode: string
Title:
Unit of Measure CodeRead Only:trueMaximum Length:3
arrayLinksobject-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/assetWarrantyCoverages/CoverageId/child/coverageMeters"
Example 1
This example describes how to create a coverage meter for a warranty coverage using a code reference for the meter. For additional examples, see the Create and Update Supplier Warranty use case.
Example 1 Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"MeterCode": "METER_TEMP_CODE_ABS_ASC_1",
"MeterStartValue": 0,
"MeterIntervalValue": 500
}
Example 1 Response Body
The following example includes the contents of the response body in JSON format:
{
"CoverageMeterId": 300100568130796,
"CoverageId": 300100568130739,
"MeterDefinitionId": 300100566813032,
"MeterCode": "METER_TEMP_CODE_ABS_ASC_1",
"MeterName": null,
"MeterDescription": null,
"UOMCode": null,
"UnitOfMeasure": null,
"MeterStartValue": 0,
"MeterIntervalValue": 500,
"DisabledFlag": false,
"ActiveEndDate": null,
"CreatedBy": "USER",
"CreationDate": "2022-10-28T15:08:16+00:00",
"LastUpdatedBy": "USER",
"LastUpdateDate": "2022-10-28T15:08:16.001+00:00",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyCoverages/300100568130739/child/coverageMeters/300100568130796",
"name": "coverageMeters",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyCoverages/300100568130739/child/coverageMeters/300100568130796",
"name": "coverageMeters",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyCoverages/300100568130739",
"name": "assetWarrantyCoverages",
"kind": "item"
}
]
}
Example 2
This example describes how to create a coverage meter for a warranty coverage using an ID reference for the meter. For additional examples, see the Create and Update Supplier Warranty use case.
Example 2 Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"MeterDefinitionId": 300100568130746,
"MeterStartValue": 0,
"MeterIntervalValue": 500
}
Example 2 Response Body
The following example includes the contents of the response body in JSON format:
{
"CoverageMeterId": 300100568130798,
"CoverageId": 300100568130739,
"MeterDefinitionId": 300100568130746,
"MeterCode": null,
"MeterName": null,
"MeterDescription": null,
"UOMCode": null,
"UnitOfMeasure": null,
"MeterStartValue": 0,
"MeterIntervalValue": 500,
"DisabledFlag": false,
"ActiveEndDate": null,
"CreatedBy": "USER",
"CreationDate": "2022-10-28T15:11:23+00:00",
"LastUpdatedBy": "USER",
"LastUpdateDate": "2022-10-28T15:11:23.001+00:00",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyCoverages/300100568130739/child/coverageMeters/300100568130796",
"name": "coverageMeters",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyCoverages/300100568130739/child/coverageMeters/300100568130796",
"name": "coverageMeters",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyCoverages/300100568130739",
"name": "assetWarrantyCoverages",
"kind": "item"
}
]
}